#
# spec file for package newt (Version 0.52.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           newt
BuildRequires:  popt-devel python-devel slang-devel
URL:            ftp://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/newt-0.52.2-6.src.rpm
Summary:        Nifty Erik's Windowing Toolkit
Version:        0.52.2
Release:        1.2
License:        GPL
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-Makefile.patch
Patch1:         %{name}-%{version}-if1close.patch
Patch2:         %{name}-%{version}-notcl.patch
Patch3:         %{name}-%{version}-pgupdown-crash.patch
Patch4:         %{name}-%{version}-screensize.patch
Patch5:         %{name}-%{version}-scrollbars.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       snack = %{version}-%{release}
Requires:       slang
%{py_requires}
%package devel
Summary:        Development Kit for newt
Provides:       newtd
Requires:       newt = %{version}
Requires:       slang
Group:          Development/Libraries/C and C++
Obsoletes:      newtd

%description
Newt is a programming library for color text-mode widget-based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
check boxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.



Authors:
--------
    Erik Troan <ewt@redhat.com>

## %define py_ver %(python -c 'import sys; print sys.version[:3];')

%description devel
The newd package contains the header files and libraries necessary for
developing applications which use newt.  Newt is a development library
for text mode user interfaces.	Newt is based on the slang library.



Authors:
--------
    Erik Troan <ewt@redhat.com>

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5

%build
%{?suse_update_config:%{suse_update_config -f}}
export CFLAGS="$RPM_OPT_FLAGS -fPIC -Wall -fno-strict-aliasing"
%configure --with-gpm-support
make depend
make pythonversion=%{py_ver}
make shared pythonversion=%{py_ver}

%install
make instroot=$RPM_BUILD_ROOT install pythonversion=%{py_ver}
make instroot=$RPM_BUILD_ROOT install-sh  pythonversion=%{py_ver}
chmod 0644 peanuts.py popcorn.py
#
# these files are not needed - SUSE use a symlink from python to phyton2.4
rm -rf 	$RPM_BUILD_ROOT/usr/%_lib/python

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files
%defattr (-,root,root)
%doc COPYING
%{_bindir}/whiptail
%{_libdir}/libnewt.so.*
#%{_libdir}/whiptcl.so*
%if %suse_version > 910
%{py_sitedir}/*
%else
%{_libdir}/python2.4/site-packages/_snackmodule.so
%{_libdir}/python2.4/site-packages/snack.py
%endif

%files devel
%defattr (-,root,root)
%doc tutorial.sgml peanuts.py popcorn.py
%{_includedir}/newt.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so

%changelog -n newt
* Tue May 09 2006 - lrupp@suse.de
- add "Provides: snack" to specfile
- do not build whiptcl to avoid dependency on tcl (RH #177346)
  (whiptcl is currently not used by anything)
- Apply patch by Bill Nottingham (thanks) to improve scrollbar appearance
  (RH #174771)
- Fix a crash in checkboxtree.c (RH #165347)
- draw correct dialog sizes on the screen (see RH #185950) - applying
  patch from Tomas Mraz (thanks)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 - lrupp@suse.de
- new version 0.52.2
- include whiptcl.so
* Thu Nov 10 2005 - lrupp@suse.de
- only do gpmclose if gpmopen succeeed
  (see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=118530)
- include example files (peanuts.py, popcorn.py) in devel package
- use "-fPIC -Wall -fno-strict-aliasing" in CFLAGS
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Mon Jul 25 2005 - lrupp@suse.de 0.51.6
- use of %%run_ldconfig
* Fri Jun 17 2005 - lrupp@suse.de 0.51.6
- use more macros: fix build on 64bit
* Fri Jun 17 2005 - lrupp@suse.de 0.51.6
- use $RPM_OPT_FLAGS
- delete /usr/lib/phyton in build to avoid errors from abuild
  => we've a symlink to /usr/lib/python2.4
* Thu Jun 16 2005 - ro@suse.de
- fix files pagaged twice (real path and over symlink)
* Tue Feb 15 2005 - ro@suse.de
- added python deps
* Mon Jan 24 2005 - ro@suse.de
- fix lib64 build
* Tue Nov 30 2004 - cwh@suse.de
- updated to 0.51.6
* Wed Jun 02 2004 - ro@suse.de
- get rid of some compiler warnings
* Thu Feb 26 2004 - hmacht@suse.de
- building as non-root
* Tue Feb 24 2004 - cwh@suse.de
- added soname link to package
* Mon Sep 15 2003 - cwh@suse.de
- removed wrong "Provides: snack" from spec-file
* Wed Aug 20 2003 - ro@suse.de
- expand filelist
- fix lib64 issues
* Wed Aug 20 2003 - cwh@suse.de
- fixed to compile with tcl8.4
* Tue Jan 16 2001 - schwab@suse.de
- Fix missing -fPIC in Makefile.
- Fix use of varargs.
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 29 2000 - smid@suse.cz
- subpackage renamed: newtd => newt-devel
* Fri Nov 24 2000 - ro@suse.de
- fixes for 2.0-python
* Sun Oct 29 2000 - kukuk@suse.de
- Add python-devel to need for build
* Mon May 22 2000 - smid@suse.cz
- fixed to compile with tcl8.3
* Wed May 10 2000 - nadvornik@suse.cz
- update to 0.50.8
- added BuildRoot
* Mon Jan 17 2000 - nashif@suse.de
- Initial Release ( Version 0.50)
